#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EDisplayPowerState {
    Invalid = 0,
    Off = 1,
    On = 2,
}

impl EDisplayPowerState {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::Off as i32 => Some(Self::Off),
            x if x == Self::On as i32 => Some(Self::On),
            _ => None,
        }
    }
}
